/**
 * 引导页相关控制器
 *
 * @author CaiAoLin
 * @date 2017/6/12
 * @version
 */
import UserModel from "../models/user_model";
import BaseController from "../../common/base/base_controller";

class BootController extends BaseController {

    /**
     * 引导页
     *
     * @param {object} request
     * @param {object} response
     * @return {void}
     */
    boot(request, response) {
        let userModel = new UserModel();
        let renderData = {
            provinceList: userModel.province,
            companyTypeList: userModel.companyType,
            companyScaleList: userModel.companyScale,
            area: request.params.area
        };
        response.render('users/html/login-infoinput', renderData);
    }

}
export default BootController;